Skip to content

Billing ​

GET /api/billing ​

Your subscriptions, invoices and what you may do with them

  • Access: Signed-in user (browser session)

POST /api/billing/portal ​

Open the payment provider page for payment methods and invoices

  • Access: Signed-in user (browser session)

GET /api/billing/preview-change ​

What a plan change would do, without doing it

  • Access: Signed-in user (browser session)

POST /api/billing/subscriptions/{id}/cancel ​

Cancel your subscription at the end of the paid period

  • Access: Signed-in user (browser session)
  • Path parameters: id

POST /api/billing/subscriptions/{id}/change ​

Move to another plan or interval

  • Access: Signed-in user (browser session)
  • Path parameters: id
  • Body: planId, cycle

POST /api/billing/subscriptions/{id}/resume ​

Undo a scheduled cancellation

  • Access: Signed-in user (browser session)
  • Path parameters: id

POST /api/billing/webhooks/{provider} ​

Payment provider webhooks (the signature is checked by the payment plugin)

  • Access: No authentication
  • Path parameters: provider

Released under the AGPL-3.0-only license.